package com.ruoyi.system.mapper.system;

import java.util.List;
import com.ruoyi.system.domain.system.SysRoleMenu;
import org.apache.ibatis.annotations.Param;

/**
 * 角色与菜单关联表 数据层
 * 
 * @author ruoyi
 */
public interface SysRoleMenuMapper
{
    /**
     * 查询菜单使用数量
     * 
     * @param menuId 菜单ID
     * @return 结果
     */
    int checkMenuExistRole(Long menuId);

    /**
     * 删除所有权限关联
     * @param ids
     * @return
     */
    int deleteAllRoles(List<Long> ids);

    /**
     * 批量新增角色菜单信息
     * 
     * @param roleMenuList 角色菜单列表
     * @return 结果
     */
    int batchRoleMenu(List<SysRoleMenu> roleMenuList);

    List<SysRoleMenu> listByTypeAndForeignIdAndRange(@Param("type")String type, @Param("foreignId")String foreignId, @Param("range")String range);

    List<String> listDutyWorkPerson();
}
